PS3 News: PSP Firmware 3.72 Available, PS3 Firmware 2.00 Required - PS3 News

Members Login: Register | Why sign up? | Forgot Password?

PSP Firmware 3.72 Available, PS3 Firmware 2.00 Required

According to the official PlayStation UK site, not only does the PSP now have another firmware update, but that rumored PlayStation 3 update (ver. 2.00) should also be arriving imminently. Why? Because the latest PSP firmware - 3.72 - apparently requires 2.00 to function. Therefore, simple logic tells us 2.00 should be just around the corner, right?

Anyway, the PSP's 3.72 update is a relatively simple one, but the two additions/enhancements are pretty significant: firstly, Sony has once again expanded support for PlayStation Network titles, and secondly, we can now Remote Start the PS3 by using the little handheld. This is another indication that 2.00 is real and rarin' to go, because that rumor story includes the same feature. And the official word on Remote Start is straightforward- "To use this feature, the PS3 system software must be version 2.00 or later." See? Says it right there. However, the rumor also stated we'd see 2.00 on October 30, which was yesterday, so not everything is true.

We'll be looking for firmware update 2.00 for the PS3 by today or tomorrow; it needs to be there for PSP users who want to download firmware 3.72, so we shouldn't have to wait too long.

10/31/2007 Ben Dutka

Put this on your webpage or blog:
Email this to a friend
Follow PSX Extreme on Twitter

Share on Twitter Share on Facebook Share on Google Share on MySpace Share on Delicious Share on Digg Share on Google Buzz Share via E-Mail Share via Tumblr Share via Posterous

Comments (0 posts)

There are no comments to display.

Leave a Comment

Please login or register to leave a comment.

Our Poll

The PS4 exclusive(s) reveal in December will be...
MEGATON! Biggest thing evah!
Pretty great, but not mind-blowing.
Something decent but that's it.
A waste of hype.

Previous Poll Results